aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/deploy.sh
diff options
context:
space:
mode:
authorAlex Schofield <git@ajschof.me>2024-08-19 20:24:35 +0100
committerAlex Schofield <git@ajschof.me>2024-08-19 20:24:35 +0100
commit50302044c64e414ffe0435908146bc718bf6bed9 (patch)
treeb66e4fa48e3ed489d58e47ae903547ad63ba7056 /scripts/deploy.sh
parent22e7de562e62495e547eeff187d86bf9524ae5ca (diff)
downloadde-project-bentley-50302044c64e414ffe0435908146bc718bf6bed9.tar.gz
de-project-bentley-50302044c64e414ffe0435908146bc718bf6bed9.zip
feat(deploy.sh): exit if any command returns non-zero status
Diffstat (limited to 'scripts/deploy.sh')
-rwxr-xr-xscripts/deploy.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/scripts/deploy.sh b/scripts/deploy.sh
index 0446184..16a9e13 100755
--- a/scripts/deploy.sh
+++ b/scripts/deploy.sh
@@ -3,6 +3,9 @@
# WARNING: This will most likely destroy any current infrastructure if protections
# are not in place. Be careful!
+# Exit if any command has a non-zero status
+set -e
+
echo "WARNING: This script will destroy any infrastructure for testing."
echo "It should not be used once a proper deployment has been setup."
echo "Would you like to continue?"
git.ajschof.me — hosted by ajschofield — powered by cgit